Create a new Verification
curl --request POST \
--url https://api.wearepion.com/app/{appId}/whitelabel/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"territory": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"userEmail": "jsmith@example.com",
"dob": "2023-12-25"
}
'import requests
url = "https://api.wearepion.com/app/{appId}/whitelabel/verifications"
payload = {
"territory": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"userEmail": "jsmith@example.com",
"dob": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
territory: '<string>',
firstName: '<string>',
lastName: '<string>',
userEmail: 'jsmith@example.com',
dob: '2023-12-25'
})
};
fetch('https://api.wearepion.com/app/{appId}/whitelabel/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appId": "<string>",
"status": "success",
"stage": "success",
"territory": "<string>",
"consumerGroup": "student",
"availableMethods": [
"portal"
],
"institutionId": "<string>",
"institutionName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresOn": "2023-12-25",
"beansId": "<string>"
}{
"error": {
"title": "unauthorised"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Beans iD Whitelabel API
Create a new Verification
Creates a new verification and returns a unique verification ID
Create a new Verification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The information required to create a verification
Enum of available consumer groups
Available options:
student, graduate, healthcare, military, first-responder, charity-worker, teacher, parent, low-income, disability ISO 3166 Country Code
Pattern:
^[A-Z]{2}$The first name of the user being verified
The last name of the user being verified
The email address of the user being verified
The date of birth for the user being verified
Response
Successful verification creation
Available options:
success, pending, failed, expired Enum of granular verification stages
Available options:
success, failed:otp_failed, failed:too_many_attempts, phone_number, phone_number_otp, select_institution, select_verification_method, pending_verification:email, pending_verification:manual, pending_verification:portal, rejected_verification:email, rejected_verification:manual, rejected_verification:portal Pattern:
^[A-Z]{2}$Enum of available consumer groups
Available options:
student, graduate, healthcare, military, first-responder, charity-worker, teacher, parent, low-income, disability Enum of available verification methods
Available options:
portal, manual, email, inbound_email YYYY-MM-DD
Internal Pion user ID.
Was this page helpful?